package com.cim.idm.wmspackage.object.management.data;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.object.management.data
 *  NAME    : EnumDef.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class EnumDef extends FieldAccessor implements DataInfo<EnumDefKey>
{
	private EnumDefKey	key;

	private String		description;
	private String		accessType;
	private String		usage;
	private String		constantFlag;

	public EnumDef()
	{
	}

	public EnumDefKey getKey()
	{
		return this.key;
	}

	public void setKey(EnumDefKey key)
	{
		this.key = key;
	}

	public String getDescription()
	{
		return this.description;
	}

	public void setDescription(String description)
	{
		this.description = description;
	}

	public String getAccessType()
	{
		return this.accessType;
	}

	public void setAccessType(String accessType)
	{
		this.accessType = accessType;
	}

	public String getUsage()
	{
		return this.usage;
	}

	public void setUsage(String usage)
	{
		this.usage = usage;
	}

	public String getConstantFlag()
	{
		return this.constantFlag;
	}

	public void setConstantFlag(String constantFlag)
	{
		this.constantFlag = constantFlag;
	}

}